<?php
//about theme info
add_action( 'admin_menu', 'expert_carpenter_gettingstarted' );
function expert_carpenter_gettingstarted() {    	
	add_theme_page( esc_html__('About Theme', 'expert-carpenter'), esc_html__('About Theme', 'expert-carpenter'), 'edit_theme_options', 'expert_carpenter_guide', 'expert_carpenter_mostrar_guide');   
}

// Add a Custom CSS file to WP Admin Area
function expert_carpenter_admin_theme_style() {
   wp_enqueue_style('custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/getting-started/getting-started.css');
}
add_action('admin_enqueue_scripts', 'expert_carpenter_admin_theme_style');

//guidline for about theme
function expert_carpenter_mostrar_guide() { 
	//custom function about theme customizer
	$return = add_query_arg( array()) ;
	$theme = wp_get_theme( 'expert-carpenter' );

?>

<div class="wrapper-info">
	<div class="col-left">
		<div class="intro">
			<h3><?php esc_html_e( 'Welcome to Expert Carpenter WordPress Theme', 'expert-carpenter' ); ?> <span>Version: <?php echo esc_html($theme['Version']);?></span></h3>
		</div>
		<div class="started">
			<hr>
			<div class="free-doc">
				<div class="lz-4">
					<h4><?php esc_html_e( 'Start Customizing', 'expert-carpenter' ); ?></h4>
					<ul>
						<span><?php esc_html_e( 'Go to', 'expert-carpenter' ); ?> <a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e( 'Customizer', 'expert-carpenter' ); ?> </a> <?php esc_html_e( 'and start customizing your website', 'expert-carpenter' ); ?></span>
					</ul>
				</div>
				<div class="lz-4">
					<h4><?php esc_html_e( 'Support', 'expert-carpenter' ); ?></h4>
					<ul>
						<span><?php esc_html_e( 'Send your query to our', 'expert-carpenter' ); ?> <a href="<?php echo esc_url( EXPERT_CARPENTER_SUPPORT ); ?>" target="_blank"> <?php esc_html_e( 'Support', 'expert-carpenter' ); ?></a></span>
					</ul>
				</div>
			</div>
			<p><?php esc_html_e( 'Expert carpenter is a responsive and beautiful theme for carpentry related business. It can be used by carpenters, handyman, interior, wood, repairingdecor, architecture, furniture, builders or constructors to deliver fine carpentry business solutions to clients. It has a special feature called WooCommerce for opening online business in this field or other areas related to carpentry. It is minimal, sophisticated, retina ready as well as user friendly apart from being responsive, professional and beautiful with personalization options. As a result expert carpenter is good for carpentry related workshops. It is also used by constructors for tailoring the finest solutions as far as the carpentry assignments of the client are concerned. Expert carpenter has banner and team. It is not only social media friendly but SEO friendly as well as multipurpose making it good for creating a professional website related to the renovation services like plumbing, carpentry, home repair, windows & doors installation, heating, air conditioning and solar system services.', 'expert-carpenter')?></p>
			<hr>			
			<div class="col-left-inner">
				<h3><?php esc_html_e( 'Get started with Free Expert Carpenter Theme', 'expert-carpenter' ); ?></h3>
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/customizer-image.png" alt="" />
			</div>
		</div>
	</div>
	<div class="col-right">
		<div class="col-left-area">
			<h3><?php esc_html_e('Premium Theme Information', 'expert-carpenter'); ?></h3>
			<hr>
		</div>
		<div class="centerbold">
			<a href="<?php echo esc_url( EXPERT_CARPENTER_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'expert-carpenter'); ?></a>
			<a href="<?php echo esc_url( EXPERT_CARPENTER_BUY_NOW ); ?>"><?php esc_html_e('Buy Pro', 'expert-carpenter'); ?></a>
			<a href="<?php echo esc_url( EXPERT_CARPENTER_PRO_DOCS ); ?>" target="_blank"><?php esc_html_e('Pro Documentation', 'expert-carpenter'); ?></a>
			<hr class="secondhr">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/expert-carpenter.jpg" alt="" />
		</div>
		<h3><?php esc_html_e( 'PREMIUM THEME FEATURES', 'expert-carpenter'); ?></h3>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon01.png" alt="" />
			<h4><?php esc_html_e( 'Banner Slider', 'expert-carpenter'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon02.png" alt="" />
			<h4><?php esc_html_e( 'Theme Options', 'expert-carpenter'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon03.png" alt="" />
			<h4><?php esc_html_e( 'Custom Innerpage Banner', 'expert-carpenter'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon04.png" alt="" />
			<h4><?php esc_html_e( 'Custom Colors and Images', 'expert-carpenter'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon05.png" alt="" />
			<h4><?php esc_html_e( 'Fully Responsive', 'expert-carpenter'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon06.png" alt="" />
			<h4><?php esc_html_e( 'Hide/Show Sections', 'expert-carpenter'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon07.png" alt="" />
			<h4><?php esc_html_e( 'Woocommerce Support', 'expert-carpenter'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon08.png" alt="" />
			<h4><?php esc_html_e( 'Limit to display number of Posts', 'expert-carpenter'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon09.png" alt="" />
			<h4><?php esc_html_e( 'Multiple Page Templates', 'expert-carpenter'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon10.png" alt="" />
			<h4><?php esc_html_e( 'Custom Read More link', 'expert-carpenter'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon11.png" alt="" />
			<h4><?php esc_html_e( 'Code written with WordPress standard', 'expert-carpenter'); ?></h4>
		</div>
		<div class="lz-6">
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getting-started/images/icon12.png" alt="" />
			<h4><?php esc_html_e( '100% Multi language', 'expert-carpenter'); ?></h4>
		</div>
	</div>
</div>
<?php } ?>